org.minidns.constants

## Enum DnssecConstants.DigestAlgorithm

- java.lang.Object
- - java.lang.Enum<DnssecConstants.DigestAlgorithm>
  - - org.minidns.constants.DnssecConstants.DigestAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<DnssecConstants.DigestAlgorithm>
  Enclosing class:
    DnssecConstants

      public static enum DnssecConstants.DigestAlgorithm
      extends Enum<DnssecConstants.DigestAlgorithm>

  DNSSEC Digest Algorithms.
  See Also:
    IANA Delegation Signer (DS) Resource Record (RR)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GOST`
    `SHA1`
    `SHA256`
    `SHA384`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `description`
    `byte` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DnssecConstants.DigestAlgorithm` | `forByte(byte b)`
    `static DnssecConstants.DigestAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DnssecConstants.DigestAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GOST

          public static final DnssecConstants.DigestAlgorithm GOST

    - #### SHA1

          public static final DnssecConstants.DigestAlgorithm SHA1

    - #### SHA256

          public static final DnssecConstants.DigestAlgorithm SHA256

    - #### SHA384

          public static final DnssecConstants.DigestAlgorithm SHA384

  - ### Field Detail

    - #### description

          public final String description

    - #### value

          public final byte value

  - ### Method Detail

    - #### forByte

          public static DnssecConstants.DigestAlgorithm forByte(byte b)

    - #### valueOf

          public static DnssecConstants.DigestAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static DnssecConstants.DigestAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DnssecConstants.DigestAlgorithm c : DnssecConstants.DigestAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared